%define upstream_name    File-HomeDir-PathClass
%define upstream_version 1.112060

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    File::HomeDir returning Path::Class objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir) >= 0.930.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module is just a wrapper around the File::HomeDir manpage methods,
transforming their return value to the Path::Class manpage objects. This
allows for easier usage of the value.

Refer to the File::HomeDir#METHODS manpage for a list of which functions
are supported.

'File::HomeDir::PathClass' supports both original the File::HomeDir manpage
interfaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.112.60-8pclos2017
- rebuild against updates

